Exponential 6.0.13 Exponential Enterprise Open Source CMS - PHP Class Reference

Public Member Functions | Public Attributes | List of all members
eZXMLOutputHandler Class Referenceabstract

The class eZXMLOutputHandler does. More...

Inheritance diagram for eZXMLOutputHandler:

## Public Member Functions
| __construct ( $xmlData, $aliasedType, $contentObjectAttribute=null)
| attributes ()
| hasAttribute ( $name)
| attribute ( $name)
& | viewTemplateName ()
| isValid ()
| viewTemplateSuffix (&$contentobjectAttribute)
| xmlData ()
& | outputText ()
| prefetch ()
| getAttributeValueArray ( $tagName, $attributeName)
| outputTag ( $element, &$siblingParams, $parentParams=array())
| renderTag ( $element, $content, $vars)
| renderAll ( $element, $childrenOutput, $vars)
| callTagInitHandler ( $handlerName, $element, &$attributes, &$siblingParams, &$parentParams)
| callTagRenderHandler ( $handlerName, $element, $childrenOutput, $vars)

## Public Attributes
| $TemplateUri
| $OutputTags = array()
| $TemplatesPath = 'design:content/datatype/view/ezxmltags/'
| $XMLData
| Contains the XML data as text. More...
| $Document
| $XMLSchema
| $AliasedType
| $AliasedHandler
| $Output = ''
| $Tpl
| $TemplateURI = ''
| $Res
| $AllowMultipleSpaces = false
| $AllowNumericEntities = false
| $ContentObjectAttribute
| $ObjectAttributeID
| $LinkArray = array()
| Contains the URL's for <link> tags hashed by ID. More...
| $ObjectArray = array()
| Contains the Objects hashed by ID. More...
| $NodeArray = array()
| Contains the Nodes hashed by ID. More...
| $NestingLevel = 0

## Detailed Description

The class eZXMLOutputHandler does.

Definition at line 19 of file ezxmloutputhandler.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZXMLOutputHandler::__construct | ( |  | $xmlData,
|  |  | $aliasedType,
|  |  | $contentObjectAttribute = `null`
| ) |  |

Constructor

Parameters

  string | $xmlData |
  string | $aliasedType |
  eZContentObjectAttribute | null | $contentObjectAttribute |

Reimplemented in eZXHTMLXMLOutput, and eZPDFXMLOutput.

Definition at line 29 of file ezxmloutputhandler.php.

## Member Function Documentation

## ◆ attribute()

eZXMLOutputHandler::attribute | ( |  | $name | ) |

Returns
  the value of the attribute $name if it exists, if not returns `null`.

Definition at line 76 of file ezxmloutputhandler.php.

References $AliasedHandler, $AliasedType, eZXMLText\inputHandler(), outputText(), viewTemplateName(), and eZDebug\writeError().

## ◆ attributes()

eZXMLOutputHandler::attributes | ( |  | ) |

Returns
  an array with attribute names.

Definition at line 57 of file ezxmloutputhandler.php.

Referenced by hasAttribute().

## ◆ callTagInitHandler()

eZXMLOutputHandler::callTagInitHandler | ( |  | $handlerName,
|  |  | $element,
|  | & | $attributes,
|  | & | $siblingParams,
|  | & | $parentParams
| ) |  |

Definition at line 610 of file ezxmloutputhandler.php.

Referenced by outputTag().

## ◆ callTagRenderHandler()

eZXMLOutputHandler::callTagRenderHandler | ( |  | $handlerName,
|  |  | $element,
|  |  | $childrenOutput,
|  |  | $vars
| ) |  |

Definition at line 625 of file ezxmloutputhandler.php.

References eZDebug\writeWarning().

Referenced by outputTag().

## ◆ getAttributeValueArray()

eZXMLOutputHandler::getAttributeValueArray | ( |  | $tagName,
|  |  | $attributeName
| ) |  |

Definition at line 291 of file ezxmloutputhandler.php.

Referenced by prefetch().

## ◆ hasAttribute()

eZXMLOutputHandler::hasAttribute | ( |  | $name | ) |

Returns
  true if the attribute $name exists.

Definition at line 68 of file ezxmloutputhandler.php.

References attributes().

## ◆ isValid()

eZXMLOutputHandler::isValid | ( |  | ) |

\virtual

Returns
  true if the output handler is considered valid, if not the handler will not be used.

Note
  Default returns true

Definition at line 131 of file ezxmloutputhandler.php.

## ◆ outputTag()

eZXMLOutputHandler::outputTag | ( |  | $element,
|  | & | $siblingParams,
|  |  | $parentParams = `array()`
| ) |  |

Definition at line 315 of file ezxmloutputhandler.php.

References callTagInitHandler(), callTagRenderHandler(), and eZDebug\writeWarning().

Referenced by outputText().

## ◆ outputText()

& eZXMLOutputHandler::outputText | ( |  | ) |

Returns the output text representation of the XML structure Default implementation uses default mechanism of rules and tag handlers to render tags.

Reimplemented in eZPlainXMLOutput.

Definition at line 158 of file ezxmloutputhandler.php.

References $Output, eZTemplate\factory(), eZXMLSchema\instance(), eZTemplateDesignResource\instance(), outputTag(), and prefetch().

Referenced by attribute().

## ◆ prefetch()

eZXMLOutputHandler::prefetch | ( |  | ) |

Definition at line 208 of file ezxmloutputhandler.php.

References eZContentObjectTreeNode\fetch(), eZContentObject\fetchIDArray(), getAttributeValueArray(), and eZDB\instance().

Referenced by outputText().

## ◆ renderAll()

eZXMLOutputHandler::renderAll | ( |  | $element,
|  |  | $childrenOutput,
|  |  | $vars
| ) |  |

Definition at line 599 of file ezxmloutputhandler.php.

References renderTag().

Referenced by eZXHTMLXMLOutput\renderCustom().

## ◆ renderTag()

eZXMLOutputHandler::renderTag | ( |  | $element,
|  |  | $content,
|  |  | $vars
| ) |  |

Definition at line 550 of file ezxmloutputhandler.php.

References eZTemplateIncludeFunction\handleInclude().

Referenced by renderAll(), eZXHTMLXMLOutput\renderInline(), eZXHTMLXMLOutput\renderLine(), and eZXHTMLXMLOutput\renderParagraph().

## ◆ viewTemplateName()

& eZXMLOutputHandler::viewTemplateName | ( |  | ) |

Returns
  the template name for this input handler, includes the edit suffix if any.

Definition at line 114 of file ezxmloutputhandler.php.

References viewTemplateSuffix().

Referenced by attribute().

## ◆ viewTemplateSuffix()

eZXMLOutputHandler::viewTemplateSuffix | ( | & | $contentobjectAttribute | ) |
| pure virtual

Returns
  the suffix for the attribute template, if false it is ignored.

Definition at line 140 of file ezxmloutputhandler.php.

Referenced by viewTemplateName().

## ◆ xmlData()

eZXMLOutputHandler::xmlData | ( |  | ) |

Returns
  the xml data as text.

Definition at line 149 of file ezxmloutputhandler.php.

References $XMLData.

Referenced by eZPlainXMLOutput\outputText().

## Member Data Documentation

## ◆ $AliasedHandler

eZXMLOutputHandler::$AliasedHandler

Definition at line 664 of file ezxmloutputhandler.php.

Referenced by attribute().

## ◆ $AliasedType

eZXMLOutputHandler::$AliasedType

Definition at line 663 of file ezxmloutputhandler.php.

Referenced by attribute().

## ◆ $AllowMultipleSpaces

eZXMLOutputHandler::$AllowMultipleSpaces = false

Definition at line 671 of file ezxmloutputhandler.php.

## ◆ $AllowNumericEntities

eZXMLOutputHandler::$AllowNumericEntities = false

Definition at line 672 of file ezxmloutputhandler.php.

## ◆ $ContentObjectAttribute

eZXMLOutputHandler::$ContentObjectAttribute

Definition at line 674 of file ezxmloutputhandler.php.

## ◆ $Document

eZXMLOutputHandler::$Document

Definition at line 659 of file ezxmloutputhandler.php.

## ◆ $LinkArray

eZXMLOutputHandler::$LinkArray = array()

Contains the URL's for <link> tags hashed by ID.

Definition at line 678 of file ezxmloutputhandler.php.

## ◆ $NestingLevel

eZXMLOutputHandler::$NestingLevel = 0

Definition at line 684 of file ezxmloutputhandler.php.

## ◆ $NodeArray

eZXMLOutputHandler::$NodeArray = array()

Contains the Nodes hashed by ID.

Definition at line 682 of file ezxmloutputhandler.php.

## ◆ $ObjectArray

eZXMLOutputHandler::$ObjectArray = array()

Contains the Objects hashed by ID.

Definition at line 680 of file ezxmloutputhandler.php.

## ◆ $ObjectAttributeID

eZXMLOutputHandler::$ObjectAttributeID

Definition at line 675 of file ezxmloutputhandler.php.

## ◆ $Output

eZXMLOutputHandler::$Output = ''

Definition at line 666 of file ezxmloutputhandler.php.

Referenced by outputText().

## ◆ $OutputTags

eZXMLOutputHandler::$OutputTags = array()

Definition at line 652 of file ezxmloutputhandler.php.

## ◆ $Res

eZXMLOutputHandler::$Res

Definition at line 669 of file ezxmloutputhandler.php.

## ◆ $TemplatesPath

eZXMLOutputHandler::$TemplatesPath = 'design:content/datatype/view/ezxmltags/'

Definition at line 655 of file ezxmloutputhandler.php.

## ◆ $TemplateUri

eZXMLOutputHandler::$TemplateUri

Definition at line 21 of file ezxmloutputhandler.php.

## ◆ $TemplateURI

eZXMLOutputHandler::$TemplateURI = ''

Definition at line 668 of file ezxmloutputhandler.php.

## ◆ $Tpl

eZXMLOutputHandler::$Tpl

Definition at line 667 of file ezxmloutputhandler.php.

## ◆ $XMLData

eZXMLOutputHandler::$XMLData

Contains the XML data as text.

Definition at line 658 of file ezxmloutputhandler.php.

Referenced by xmlData().

## ◆ $XMLSchema

eZXMLOutputHandler::$XMLSchema

Definition at line 661 of file ezxmloutputhandler.php.

The documentation for this class was generated from the following file:

- ezxmloutputhandler.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.